Bug 268485 - Code completion adds #include <bits/unordered_map.h> instead of #include <unordered_map>
Code completion adds #include <bits/unordered_map.h> instead of #include <uno...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Completion
8.2
PC Solaris
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-12 12:25 UTC by soldatov
Modified: 2016-12-07 14:30 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-10-12 12:25:32 UTC
Platform: Solaris 11.3
Compiler: GCC 4.8.2
C++11 code:

int main(int argc, char** argv) {

    return 0;
}

Type 'std::unordered_', press Ctrl-Space and select 'unordered_map' or 'unordered_set' or 'unordered_multimap' or 'unordered_multiset'
==> IDE adds #include <bits/unordered_map.h> instead of #include <unordered_map>.
Also I see <bits/unordered_set.h> instead of <unordered_set>.
Comment 1 Alexander Simon 2016-10-12 16:10:24 UTC
fixed in enum, branch release82, change set 581656f28d09
Comment 2 Quality Engineering 2016-10-20 01:58:36 UTC
Integrated into 'main-silver', will be available in build *201610200002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/3114bad4f385
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #268467 Code completion adds #include <sstream> instead of #include <iostream>
Bug #268485 Code completion adds #include <bits/unordered_map.h> instead of #include <unordered_map>
Bug #268484 Code Completion adds #include <map> instead of #include <array>
(transplanted from 581656f28d09e2768942c6e9d7813742f8befb9f)
Comment 3 soldatov 2016-12-07 14:30:39 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo